
<!--- This file is automatically generated by make gen-cli-docs; changes should be made in the go CLI command code (under cmd/kops) -->

## kops trust keypair

Trust a keypair.

### Synopsis

Trust one or more keypairs in a keyset.

Trusting adds the certificates of the specified keypairs to trust
stores. It is the reverse of the `kops distrust keypair` command.

```
kops trust keypair KEYSET ID... [flags]
```

### Examples

```
  kops trust keypair ca 6977545226837259959403993899
```

### Options

```
  -h, --help   help for keypair
```

### Options inherited from parent commands

```
      --config string   yaml config file (default is $HOME/.kops.yaml)
      --name string     Name of cluster. Overrides KOPS_CLUSTER_NAME environment variable
      --state string    Location of state storage (kops 'config' file). Overrides KOPS_STATE_STORE environment variable
  -v, --v Level         number for the log level verbosity
```

### SEE ALSO

* [kops trust](kops_trust.md)	 - Trust keypairs.

